Kubernetes
action Deployment

# create_deployment

Create a deployment described by a deployment manifest

Run it now
View details

Type | action
Module | chaosk8s.deployment.actions
Name | create_deployment
Return | None

Usage

JSON

    {
      "name": "create-deployment",
      "type": "action",
      "provider": {
        "type": "python",
        "module": "chaosk8s.deployment.actions",
        "func": "create_deployment",
        "arguments": {
          "spec_path": ""
        }
      }
    }

YAML

    name: create-deployment
    provider:
      arguments:
        spec_path: ""
      func: create_deployment
      module: chaosk8s.deployment.actions
      type: python
    type: action

Arguments

Name | Type | Default | Required | Title | Description
--- | --- | --- | --- | --- | ---
ns | string | ”default” | Yes | Namespace |
spec_path | string | null | No | Name | Local path to the deployment manifest

Signature

    def create_deployment(spec_path: str,
                          ns: str = 'default',
                          secrets: Dict[str, Dict[str, str]] = None):
        pass

## Related starters

- Kubernetes
  probe Deployment

  ## `deployment_available_and_healthy`

  Lookup a deployment state
- Kubernetes
  action Deployment

  ## `delete_deployment`

  Delete a deployment
- Kubernetes
  action Deployment

  ## `rollout_deployment`

  Rollout a deployment.